FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::TypeParamInquiryVisitor Struct Reference

## Public Types
using | Result = std::optional< Expr< SomeInteger > >
using | Types = IntegerTypes

## Public Member Functions
| TypeParamInquiryVisitor (int k, NamedEntity &&b, const Symbol &param)
| TypeParamInquiryVisitor (int k, const Symbol &param)
template<typename T >
Result | Test ()

## Public Attributes
int | kind
std::optional< NamedEntity > | base
const Symbol & | parameter

The documentation for this struct was generated from the following file:

- lib/Semantics/expression.cpp